<h3>Secondary points
    <md-button style="md-primary md-raised" ng-click="addNew()">Add point</md-button>
</h3>
<div ng-if="mode==='add'">
    <fieldset>
        <div layout='row'>
            <md-input-container class="md-block search-input" flex-gt-sm="">
                <label>Search string</label>
                <input ng-model="filter.search" ng-keypress="onSearchKeyPress($event)">
            </md-input-container>
        </div>
        <div layout="row">
            <md-input-container class="md-block" flex-gt-sm="">
                <label>Category</label>
                <md-select ng-model="filter.category">
                    <md-option ng-repeat="category in categories" value="{{category.id}}">
                        {{category.name}}
                    </md-option>
                </md-select>
            </md-input-container>
            <md-input-container class="md-block" flex-gt-sm="">
                <label>Family</label>
                <md-select ng-model="filter.family">
                    <md-option ng-repeat="family in families" value="{{family.id}}">
                        {{family.name}}
                    </md-option>
                </md-select>
            </md-input-container>
        </div>
        <div layout="row">
            <md-button class="md-raised" ng-click="search()" flex-gt-sm="20">Search</md-button>
        </div>
    </fieldset>
    <div layout="row">
        <md-table-container>
            <table md-table md-row-select multiple ng-model="plantsTable.selected" md-progress="plantsTable.promise" class="primaryPointsTable">
                <thead md-head md-order="plantsTable.query.order">
                    <tr md-row>
                        <th md-column>
                            <span>Name (CZ)</span>
                        </th>
                        <th md-column>
                            <span>Family</span>
                        </th>
                        <th md-column>
                            <span>Category</span>
                        </th>
                    </tr>
                </thead>
                <tbody md-body>
                    <tr md-row md-select="plant" md-select-id="id" md-auto-select ng-repeat="plant in plantsTable.plants | orderBy:plantsTable.query.order | limitTo:plantsTable.query.limit: (plantsTable.query.page -1) * plantsTable.query.limit">
                        <td md-cell>{{plant.name}}</td>
                        <td md-cell>{{plant.family_name}}</td>
                        <td md-cell>{{plant.category_name}}</td>
                    </tr>
                </tbody>
            </table>
        </md-table-container>
    </div>
    <div layout="row">
        <md-table-pagination md-limit="plantsTable.query.limit" md-limit-options="[5, 10, 15]" md-page="plantsTable.query.page" md-total="{{plantsTable.plants.length}}" md-on-paginate="getPlants" md-page-select></md-table-pagination>
    </div>
    <div layout="row">
        <md-button style="md-primary md-raised" ng-click="add()" ng-disabled="plantsTable.selected.length==0">{{getAddButtonLabel()}}</md-button>
        <md-button style="md-primary" ng-click="cancelAdd()">Cancel</md-button>
    </div>
</div>
<div ng-if="mode==='list'">
    <md-table-container>
        <table md-table md-progress="secondaryPointsTable.promise" class="primaryPointsTable">
            <thead md-head md-order="secondaryPointsTable.query.order">
                <tr md-row>
                    <th md-column>
                        <span>Title (CZ)</span>
                    </th>
                    <th md-column>
                        <span>Active</span>
                    </th>
                    <th md-column class="actionsColumnHeader">Actions</th>
                </tr>
            </thead>
            <tbody md-body>
                <tr
                    md-row
                    md-select="primary"
                    md-select-id="id"
                    md-auto-select
                    ng-repeat="point in secondaryPointsTable.points | orderBy:secondaryPointsTable.query.order | limitTo:secondaryPointsTable.query.limit: (secondaryPointsTable.query.page -1) * secondaryPointsTable.query.limit">
                    <td md-cell>{{point.name}}</td>
                    <td md-cell>
                        <md-checkbox ng-model="point.active" aria-label="Published?'" ng-click="publish(point)"></md-checkbox>
                    </td>
                    <td md-cell class="actionsCell">
                        <div layout="row">
                            <a title="delete" href='' ng-click="deletePoint(point)">
                                <i class="material-icons">delete</i>
                            </a>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </md-table-container>
    <md-table-pagination md-limit="secondaryPointsTable.query.limit" md-limit-options="[5, 10, 15]" md-page="secondaryPointsTable.query.page" md-total="{{secondaryPointsTable.points.length}}" md-on-paginate="getPoints" md-page-select></md-table-pagination>
</div>
